package phasinq.light.managers;

import net.minecraft.util.*;
import java.util.*;

public class EnemyManager
{
    public static ArrayList<Enemy> enemies;
    
    public static void addEnemy(final String name, final String alias) {
        final Enemy meme = new Enemy(name, alias);
        if (!EnemyManager.enemies.contains(meme)) {
            EnemyManager.enemies.add(meme);
        }
    }
    
    public static void addEnemy(final Enemy f) {
        if (!EnemyManager.enemies.contains(f)) {
            EnemyManager.enemies.add(f);
        }
    }
    
    public static void deleteEnemy(final String name) {
        for (final Enemy enemi : EnemyManager.enemies) {
            if (enemi.getName().equalsIgnoreCase(name) || enemi.getAlias().equalsIgnoreCase(StringUtils.stripControlCodes(name))) {
                EnemyManager.enemies.remove(enemi);
                break;
            }
        }
    }
    
    public static Enemy getEnemyByName(final String name) {
        final Iterator<Enemy> iterator = EnemyManager.enemies.iterator();
        if (!iterator.hasNext()) {
            return null;
        }
        final Enemy enemy = iterator.next();
        if (enemy.getName().equalsIgnoreCase(name)) {
            return enemy;
        }
        return null;
    }
    
    public static Enemy getEnemyByAlias(final String alias) {
        final Iterator<Enemy> iterator = EnemyManager.enemies.iterator();
        if (!iterator.hasNext()) {
            return null;
        }
        final Enemy enemy = iterator.next();
        if (enemy.getAlias().equalsIgnoreCase(alias)) {
            return enemy;
        }
        return null;
    }
    
    public static boolean isEnemy(final String name) {
        boolean isEnemy = false;
        for (final Enemy Enemy : EnemyManager.enemies) {
            if (Enemy.getName().equalsIgnoreCase(StringUtils.stripControlCodes(name)) || Enemy.getAlias().equalsIgnoreCase(StringUtils.stripControlCodes(name))) {
                isEnemy = true;
                break;
            }
        }
        return isEnemy;
    }
    
    static {
        EnemyManager.enemies = new ArrayList<Enemy>();
    }
    
    public static class Enemy
    {
        private String name;
        private String alias;
        
        public Enemy(final String name, final String alias) {
            this.name = name;
            this.alias = alias;
        }
        
        public String getName() {
            return this.name;
        }
        
        public String getAlias() {
            return this.alias;
        }
        
        public void setName(final String s) {
            this.name = s;
        }
        
        public void setAlias(final String s) {
            this.alias = s;
        }
    }
}
